use ExtUtils::MakeMaker;

### Check perl Version
#
require v5.6.0;
print "Good, you have a recent enough perl version!\n";

### Define the command to process the yapp file
$yapp = "(cd dag; yapp -m dag::grammar -o grammar.pm grammar.yp)";

WriteMakefile(
	      'NAME'		=> 'dag',
	      'VERSION_FROM'	=> 'dag.pm',
	      'PREREQ_PM'	=> {
				    'Text::Balanced' => 1.83,
				    'Parse::Yapp::Driver' => 1.03,
				   },
	      'clean'           => {FILES=>'dag/grammar.pm' },
	     );

`$yapp`;

sub MY::postamble {
  return <<"EOT"
dag/grammar.pm: dag/grammar.yp
	$yapp
EOT
}
